Summary:	X.org input driver for joysticks
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla joysticków
Name:		xorg-driver-input-joystick
Version:	1.6.2
Release:	5
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-joystick-%{version}.tar.bz2
# Source0-md5:	49a98669508abca1b58c4a52628767ea
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.9.99.2
BuildRequires:	rpmbuild(macros) >= 1.389
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.9.99.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for joysticks.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla joysticków.

%package devel
Summary:	X.org joystick input driver - properties definition
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla joysticków - definicje właściwości
Group:		Development/Libraries
# for dir
Requires:	xorg-xserver-server-devel
# doesn't require base

%description devel
X.org joystick input driver - properties definition.

%description devel -l pl.UTF-8
Sterownik wejściowy X.org dla joysticków - definicje właściwości.

%prep
%setup -q -n xf86-input-joystick-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/joystick_drv.so
%{_mandir}/man4/joystick.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/joystick-properties.h
%{_pkgconfigdir}/xorg-joystick.pc
%changelog
* Tue Jul 07 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-input-joystick.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 54287ba
- xserver rebuild
- release 5 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 59b449a
- xserver rebuild
- release 4 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 8938b0e
- release 3 (by relup.sh)

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8e47799
- release 2 (by relup.sh)

* Wed Jan 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 3b933f2
- updated to 1.6.2

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6109856
- release 2 (by relup.sh)

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a9672a
- up to 1.6.1

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d59a4af
- release 3

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a3cfe7b
- release 2

* Thu Apr 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 7c79db3
- updated to 1.6.0

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 54709e5
- release 3

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 14d238c
- unexpand

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 1b56d3c
- use requires_xorg_* macros in a way which allows to check rpm-build-macros BR first

* Sat Aug 28 2010 Jakub Bogusz <qboosh@pld-linux.org> 00f749a
- added -devel

* Sat Aug 28 2010 Jakub Bogusz <qboosh@pld-linux.org> ca9c0de
- added README to doc
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b088c74
- release 2

* Fri Jun 04 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f257bfb
- up to 1.5.0

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3353d34
- release 2

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> dcc2ff7
- up to 1.4.99.2

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 55e093a
- release 2

